NX Open C++ Reference Guide
|
A builder used to create or edit a single strip of the Weld::WeldFillBuilder . More...
Public Member Functions | |
void | AlignNegative (NXOpen::Weld::WeldFillStripBuilder *alignStrip) |
Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip. | |
void | AlignPositive (NXOpen::Weld::WeldFillStripBuilder *alignStrip) |
Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip. | |
NXOpen::Point3d | Center () |
Returns the center of the fill strip. | |
void | JoinNegative (NXOpen::Weld::WeldFillStripBuilder *joinStrip) |
Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input. | |
void | JoinPositive (NXOpen::Weld::WeldFillStripBuilder *joinStrip) |
Joins the end of the fill strip, along the length direction from center, to the other fill strip input. | |
double | Length () |
Returns the length of the fill strip. | |
void | MoveDelta (double lengthDelta, double widthDelta) |
Moves the fill strip the input length and width values. | |
void | MoveToPoint (const NXOpen::Point3d &newCenter) |
Moves the fill strip to the input center. | |
void | SetLength (double length) |
Sets the length of the fill strip. | |
void | SetToBeDeleted (bool flag) |
Sets the flag indicating that the strip should be deleted. | |
NXOpen::Weld::WeldFillStripBuilder * | Split () |
Splits the fill strip at the center and creates a new strip. | |
void | StretchNegative (double lengthDelta) |
Stretches the fill strip the input length opposite of the length direction. | |
void | StretchPositive (double lengthDelta) |
Stretches the fill strip the input length in the length direction. | |
bool | ToBeDeleted () |
Returns the flag indicating that the strip should be deleted. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
A builder used to create or edit a single strip of the Weld::WeldFillBuilder .
To create a new instance of this class, use Weld::WeldFillBuilder::NewFillStrip
Created in NX7.5.0.
void NXOpen::Weld::WeldFillStripBuilder::AlignNegative | ( | NXOpen::Weld::WeldFillStripBuilder * | alignStrip | ) |
Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
alignStrip | Fill strip to align to. |
void NXOpen::Weld::WeldFillStripBuilder::AlignPositive | ( | NXOpen::Weld::WeldFillStripBuilder * | alignStrip | ) |
Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
alignStrip | Fill strip to align to. |
NXOpen::Point3d NXOpen::Weld::WeldFillStripBuilder::Center | ( | ) |
Returns the center of the fill strip.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldFillStripBuilder::JoinNegative | ( | NXOpen::Weld::WeldFillStripBuilder * | joinStrip | ) |
Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input.
Note the caller must delete the joinStrip if desired.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
joinStrip | Fill strip to join with. |
void NXOpen::Weld::WeldFillStripBuilder::JoinPositive | ( | NXOpen::Weld::WeldFillStripBuilder * | joinStrip | ) |
Joins the end of the fill strip, along the length direction from center, to the other fill strip input.
Note the caller must delete the joinStrip if desired.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
joinStrip | Fill strip to join with. |
double NXOpen::Weld::WeldFillStripBuilder::Length | ( | ) |
Returns the length of the fill strip.
Created in NX7.5.0.
License requirements : None
void NXOpen::Weld::WeldFillStripBuilder::MoveDelta | ( | double | lengthDelta, |
double | widthDelta | ||
) |
Moves the fill strip the input length and width values.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
lengthDelta | Distance to move strip in the length direction. |
widthDelta | Distance to move strip in the width direction. |
void NXOpen::Weld::WeldFillStripBuilder::MoveToPoint | ( | const NXOpen::Point3d & | newCenter | ) |
Moves the fill strip to the input center.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
newCenter | New center of the fill strip |
void NXOpen::Weld::WeldFillStripBuilder::SetLength | ( | double | length | ) |
Sets the length of the fill strip.
Created in NX7.5.0.
License requirements : None
length | length |
void NXOpen::Weld::WeldFillStripBuilder::SetToBeDeleted | ( | bool | flag | ) |
Sets the flag indicating that the strip should be deleted.
Created in NX7.5.0.
License requirements : None
flag | flag |
NXOpen::Weld::WeldFillStripBuilder* NXOpen::Weld::WeldFillStripBuilder::Split | ( | ) |
Splits the fill strip at the center and creates a new strip.
void NXOpen::Weld::WeldFillStripBuilder::StretchNegative | ( | double | lengthDelta | ) |
Stretches the fill strip the input length opposite of the length direction.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
lengthDelta | Distance to stretch the strip opposite of the length direction. |
void NXOpen::Weld::WeldFillStripBuilder::StretchPositive | ( | double | lengthDelta | ) |
Stretches the fill strip the input length in the length direction.
Created in NX7.5.0.
License requirements : ugweld ("UG WELD")
lengthDelta | Distance to stretch the strip in the length direction. |
bool NXOpen::Weld::WeldFillStripBuilder::ToBeDeleted | ( | ) |
Returns the flag indicating that the strip should be deleted.
Created in NX7.5.0.
License requirements : None